This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 89473 - wrong module dependencies
wrong module dependencies
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-23 06:02 EDT by Jochen Witte
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Witte 2003-04-23 06:02:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4a) Gecko/20030401

Description of problem:
trying to recompile the kernel results in wrong module dependcies for usb-mouse
support:
---+ standardkernel:
   * lsmod:
      input                   5856   0  [keybdev mousedev hid]
   * modules.dep:
      /lib/modules/2.4.20-9/kernel/drivers/usb/hid.o:
/lib/modules/2.4.20-9/kernel/drivers/usb/usbcore.o \
        /lib/modules/2.4.20-9/kernel/drivers/input/input.o
   * dmesg:
      hub.c: new USB device 00:1d.2-1, assigned address 2
      input0: USB HID v1.10 Mouse [A4Tech USB Optical Mouse] on usb2:2.0

---+ compiled kernel
   * lsmod:
      input                   5888   0  [keybdev mousedev]
   * modules.dep:
      /lib/modules/2.4.20-9custom/kernel/drivers/usb/hid.o:  
/lib/modules/2.4.20-9custom/kernel/drivers/usb/usbcore.o
   * dmesg:
      hub.c: new USB device 00:1d.2-1, assigned address 2
      : USB HID v1.10 Mouse [A4Tech USB Optical Mouse] on usb2:2.0


Version-Release number of selected component (if applicable):
kernel-source-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. compile new kernel (e.g. based on kernel-2.4.20-i686.config)
2. boot it
3. see, thatr the usb-mouse fails
    

Actual Results:  mouse did not work

Expected Results:  mouse works

Additional info:

i just left all the options in the kernel - did not change anything
Comment 1 Arjan van de Ven 2003-04-23 06:14:23 EDT
are you sure? The configs included in the kernel-source are the exact files we
use for building the binary kernels.....
Comment 2 Jochen Witte 2003-04-23 06:20:58 EDT
i am sure, as far as i just tried this:
make mrproper
cp configs/kernel-2.4.20-i686.config .config
make dep && make bzImage && make modules && make modules_install

=> the resulting messgaes in dmesg, lsmod and modules.dep

i did not inspect further...
Comment 3 Arjan van de Ven 2003-04-23 06:24:17 EDT
cp configs/kernel-2.4.20-i686.config .config

after that step you must do a "make oldconfig" to basically transform the
.config file to the internal representation (eg the config.h header files etc etc)
Comment 4 Jochen Witte 2003-04-23 06:54:05 EDT
ain't this done with "make menuconfig" and then exit -> save chagnes ;) (forgot
to say this)
Comment 5 Jochen Witte 2003-04-23 07:36:43 EDT
after changing:

CONFIG_INPUT=m

to

CONFIG_INPUT=y

everything is fine
Comment 6 Bugzilla owner 2004-09-30 11:40:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.